<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format" font-family="serif,Symbol,ZapfDingbats" font-size="11pt" text-align="justify" line-height="1.4" font-selection-strategy="character-by-character" line-height-shift-adjustment="disregard-shifts" language="en"><fo:layout-master-set><fo:simple-page-master master-name="blank" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body display-align="center" margin-bottom="15mm" margin-top="10mm" region-name="blank-body"/><fo:region-before region-name="xsl-region-before-blank" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-blank" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="titlepage-first" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="titlepage-odd" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="titlepage-even" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="lot-first" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="lot-odd" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="lot-even" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="front-first" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="front-odd" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="front-even" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="body-first" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="body-odd" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="body-even" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="back-first" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="back-odd" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="back-even" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="index-first" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="2"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="index-odd" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="2"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="index-even" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="2"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="blank-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-blank" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-blank" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="titlepage-first-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="titlepage-odd-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="titlepage-even-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="lot-first-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="lot-odd-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="lot-even-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="front-first-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="front-odd-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="front-even-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="body-first-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="body-odd-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="body-even-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="back-first-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="back-odd-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="back-even-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm - 0pc" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="1" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="index-first-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="2" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-first" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-first" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="index-odd-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-left="18mm" margin-right="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="2" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-odd" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-odd" extent="10mm" display-align="after"/></fo:simple-page-master><fo:simple-page-master master-name="index-even-draft" page-width="210mm" page-height="297mm" margin-top="5mm" margin-bottom="0mm" margin-right="18mm" margin-left="18mm"><fo:region-body margin-bottom="15mm" margin-top="10mm" column-gap="12pt" column-count="2" background-image="url(http://docbook.sourceforge.net/release/images/draft.png)" background-attachment="fixed" background-repeat="no-repeat" background-position-horizontal="center" background-position-vertical="center"/><fo:region-before region-name="xsl-region-before-even" extent="10mm" display-align="before"/><fo:region-after region-name="xsl-region-after-even" extent="10mm" display-align="after"/></fo:simple-page-master><fo:page-sequence-master master-name="titlepage"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="titlepage-first" page-position="first"/><fo:conditional-page-master-reference master-reference="titlepage-odd" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="titlepage-odd"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="lot"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="lot-first" page-position="first"/><fo:conditional-page-master-reference master-reference="lot-odd" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="lot-odd"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="front"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="front-first" page-position="first"/><fo:conditional-page-master-reference master-reference="front-odd" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="front-odd"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="body"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="body-first" page-position="first"/><fo:conditional-page-master-reference master-reference="body-odd" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="body-odd"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="back"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="back-first" page-position="first"/><fo:conditional-page-master-reference master-reference="back-odd" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="back-odd"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="index"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="index-first" page-position="first"/><fo:conditional-page-master-reference master-reference="index-odd" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="index-odd"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="titlepage-draft"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank-draft" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="titlepage-first-draft" page-position="first"/><fo:conditional-page-master-reference master-reference="titlepage-odd-draft" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="titlepage-odd-draft"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="lot-draft"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank-draft" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="lot-first-draft" page-position="first"/><fo:conditional-page-master-reference master-reference="lot-odd-draft" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="lot-odd-draft"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="front-draft"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank-draft" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="front-first-draft" page-position="first"/><fo:conditional-page-master-reference master-reference="front-odd-draft" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="front-odd-draft"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="body-draft"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank-draft" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="body-first-draft" page-position="first"/><fo:conditional-page-master-reference master-reference="body-odd-draft" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="body-odd-draft"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="back-draft"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank-draft" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="back-first-draft" page-position="first"/><fo:conditional-page-master-reference master-reference="back-odd-draft" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="back-odd-draft"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master><fo:page-sequence-master master-name="index-draft"><fo:repeatable-page-master-alternatives><fo:conditional-page-master-reference master-reference="blank-draft" blank-or-not-blank="blank"/><fo:conditional-page-master-reference master-reference="index-first-draft" page-position="first"/><fo:conditional-page-master-reference master-reference="index-odd-draft" odd-or-even="odd"/><fo:conditional-page-master-reference odd-or-even="even" master-reference="index-odd-draft"/></fo:repeatable-page-master-alternatives></fo:page-sequence-master></fo:layout-master-set><fo:page-sequence xmlns:axf="http://www.antennahouse.com/names/XSL/Extensions" hyphenate="false" master-reference="titlepage" language="en" format="1" initial-page-number="1" force-page-count="no-force" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2"><fo:static-content flow-name="xsl-region-before-first"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"/></fo:static-content><fo:static-content flow-name="xsl-region-before-odd"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-even"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-blank"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"/></fo:static-content><fo:static-content flow-name="xsl-footnote-separator"><fo:block><fo:leader color="black" leader-pattern="rule" leader-length="1in"/></fo:block></fo:static-content><fo:static-content flow-name="blank-body"><fo:block text-align="center"/></fo:static-content><fo:static-content flow-name="xsl-region-after-first"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"/></fo:static-content><fo:static-content flow-name="xsl-region-after-odd"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-even"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-blank"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"/></fo:static-content><fo:flow flow-name="xsl-region-body"><fo:block id="opennms-releasenotes"><fo:block><fo:block><fo:block><fo:table table-layout="fixed" width="175mm"><fo:table-column column-width="175mm"/><fo:table-body><fo:table-row><fo:table-cell text-align="center"><fo:block><fo:block font-family="Helvetica" font-size="24pt" padding-before="10mm">OpenNMS Release Notes</fo:block></fo:block><fo:block font-family="Helvetica" font-size="22pt" padding-before="10mm">Cumulative Release History</fo:block><fo:block font-family="Helvetica" font-size="12pt" padding="10mm"/></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell text-align="center"><fo:block font-family="Helvetica" font-size="14pt" padding="10mm"/></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell text-align="center"><fo:block font-family="Helvetica" font-size="12pt" padding="10mm">Copyright © 2005-2009 Tarus Balog, Matt Brozowski, David Hustace, Benjamin Reed</fo:block><fo:block font-family="Helvetica" font-size="10pt" padding="1mm">
    Permission is granted to copy, distribute and/or modify this
    document under the terms of the GNU Free Documentation License, Version
    1.1 or any later version published by the Free Software Foundation; with
    no Invariant Sections, with no Front-Cover Texts and with no Back-Cover
    Texts. A copy of the license is available at 
    http://www.gnu.org/copyleft/fdl.html
  </fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:block></fo:block></fo:block></fo:flow></fo:page-sequence><fo:page-sequence xmlns:axf="http://www.antennahouse.com/names/XSL/Extensions" hyphenate="false" master-reference="lot" language="en" format="i" initial-page-number="auto" force-page-count="no-force" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2"><fo:static-content flow-name="xsl-region-before-first"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-odd"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>OpenNMS<fo:inline font-family="serif">®</fo:inline> Release Notes</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-even"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>OpenNMS<fo:inline font-family="serif">®</fo:inline> Release Notes</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-blank"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"/></fo:static-content><fo:static-content flow-name="xsl-footnote-separator"><fo:block><fo:leader color="black" leader-pattern="rule" leader-length="1in"/></fo:block></fo:static-content><fo:static-content flow-name="blank-body"><fo:block text-align="center"/></fo:static-content><fo:static-content flow-name="xsl-region-after-first"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-odd"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-even"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-blank"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"/></fo:static-content><fo:flow flow-name="xsl-region-body" start-indent="4pc" end-indent="0pt"><fo:block space-before.minimum="0.5em" space-before.optimum="1em" space-before.maximum="2em" space-after.minimum="0.5em" space-after.optimum="1em" space-after.maximum="2em" id="toc...opennms-releasenotes"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="preface">Preface</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="preface"><fo:page-number-citation ref-id="preface"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction">1.  Introduction</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction"><fo:page-number-citation ref-id="introduction"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.introduction" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction-1.6.6">1.1.  Release 1.6.5</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction-1.6.6"><fo:page-number-citation ref-id="introduction-1.6.6"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction-1.6.5">1.2.  Release 1.6.5</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction-1.6.5"><fo:page-number-citation ref-id="introduction-1.6.5"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction-1.6.4">1.3.  Release 1.6.4</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction-1.6.4"><fo:page-number-citation ref-id="introduction-1.6.4"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction-1.6.3">1.4.  Release 1.6.3</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction-1.6.3"><fo:page-number-citation ref-id="introduction-1.6.3"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction-1.6.2">1.5.  Release 1.6.2</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction-1.6.2"><fo:page-number-citation ref-id="introduction-1.6.2"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction-1.6.1">1.6.  Release 1.6.1</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction-1.6.1"><fo:page-number-citation ref-id="introduction-1.6.1"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="introduction-1.6.0">1.7.  Release 1.6.0</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="introduction-1.6.0"><fo:page-number-citation ref-id="introduction-1.6.0"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="whats-new">2.  What's New?</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="whats-new"><fo:page-number-citation ref-id="whats-new"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.whats-new" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.6">2.1.  Changes in OpenNMS 1.6.6</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.6"><fo:page-number-citation ref-id="opennms-1.6.6"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.6.6" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.6-features">2.1.1.  New Features and Enhancements</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.6-features"><fo:page-number-citation ref-id="opennms-1.6.6-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.6-bugfixes">2.1.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.6-bugfixes"><fo:page-number-citation ref-id="opennms-1.6.6-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.5">2.2.  Changes in OpenNMS 1.6.5</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.5"><fo:page-number-citation ref-id="opennms-1.6.5"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.6.5" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.5-features">2.2.1.  New Features and Enhancements</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.5-features"><fo:page-number-citation ref-id="opennms-1.6.5-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.5-bugfixes">2.2.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.5-bugfixes"><fo:page-number-citation ref-id="opennms-1.6.5-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.4">2.3.  Changes in OpenNMS 1.6.4</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.4"><fo:page-number-citation ref-id="opennms-1.6.4"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.3">2.4.  Changes in OpenNMS 1.6.3</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.3"><fo:page-number-citation ref-id="opennms-1.6.3"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.6.3" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.3-features">2.4.1.  New Features and Enhancements</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.3-features"><fo:page-number-citation ref-id="opennms-1.6.3-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.3-bugfixes">2.4.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.3-bugfixes"><fo:page-number-citation ref-id="opennms-1.6.3-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.2">2.5.  Changes in OpenNMS 1.6.2</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.2"><fo:page-number-citation ref-id="opennms-1.6.2"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.6.2" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.2-features">2.5.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.2-features"><fo:page-number-citation ref-id="opennms-1.6.2-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.2-bugfixes">2.5.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.2-bugfixes"><fo:page-number-citation ref-id="opennms-1.6.2-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.1">2.6.  Changes in OpenNMS 1.6.1</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.1"><fo:page-number-citation ref-id="opennms-1.6.1"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.6.1" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.1-features">2.6.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.1-features"><fo:page-number-citation ref-id="opennms-1.6.1-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.1-bugfixes">2.6.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.1-bugfixes"><fo:page-number-citation ref-id="opennms-1.6.1-bugfixes"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.1-changes">2.6.3.  Configuration/Behavior Changes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.1-changes"><fo:page-number-citation ref-id="opennms-1.6.1-changes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.6.0">2.7.  Changes in OpenNMS 1.6.0</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.6.0"><fo:page-number-citation ref-id="opennms-1.6.0"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.99">2.8.  Changes in OpenNMS 1.5.99</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.99"><fo:page-number-citation ref-id="opennms-1.5.99"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.99" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.99-bugfixes">2.8.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.99-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.99-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.98">2.9.  Changes in OpenNMS 1.5.98</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.98"><fo:page-number-citation ref-id="opennms-1.5.98"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.98" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.98-bugfixes">2.9.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.98-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.98-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.97">2.10.  Changes in OpenNMS 1.5.97</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.97"><fo:page-number-citation ref-id="opennms-1.5.97"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.97" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.97-features">2.10.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.97-features"><fo:page-number-citation ref-id="opennms-1.5.97-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.97-bugfixes">2.10.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.97-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.97-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.96">2.11.  Changes in OpenNMS 1.5.96</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.96"><fo:page-number-citation ref-id="opennms-1.5.96"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.96" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.96-bugfixes">2.11.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.96-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.96-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.95">2.12.  Changes in OpenNMS 1.5.95</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.95"><fo:page-number-citation ref-id="opennms-1.5.95"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.95" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.95-features">2.12.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.95-features"><fo:page-number-citation ref-id="opennms-1.5.95-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.95-bugfixes">2.12.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.95-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.95-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.94">2.13.  Changes in OpenNMS 1.5.94</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.94"><fo:page-number-citation ref-id="opennms-1.5.94"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.94" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.94-features">2.13.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.94-features"><fo:page-number-citation ref-id="opennms-1.5.94-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.94-bugfixes">2.13.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.94-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.94-bugfixes"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.94-changes">2.13.3.  Changes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.94-changes"><fo:page-number-citation ref-id="opennms-1.5.94-changes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.93">2.14.  Changes in OpenNMS 1.5.93</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.93"><fo:page-number-citation ref-id="opennms-1.5.93"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.93" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.93-features">2.14.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.93-features"><fo:page-number-citation ref-id="opennms-1.5.93-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.93-bugfixes">2.14.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.93-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.93-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.92">2.15.  Changes in OpenNMS 1.5.92</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.92"><fo:page-number-citation ref-id="opennms-1.5.92"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.92" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.92-features">2.15.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.92-features"><fo:page-number-citation ref-id="opennms-1.5.92-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.92-bugfixes">2.15.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.92-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.92-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.91">2.16.  Changes in OpenNMS 1.5.91</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.91"><fo:page-number-citation ref-id="opennms-1.5.91"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.91" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.91-features">2.16.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.91-features"><fo:page-number-citation ref-id="opennms-1.5.91-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.91-bugfixes">2.16.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.91-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.91-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.90">2.17.  Changes in OpenNMS 1.5.90</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.90"><fo:page-number-citation ref-id="opennms-1.5.90"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.5.90" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.5.90-bugfixes">2.17.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.5.90-bugfixes"><fo:page-number-citation ref-id="opennms-1.5.90-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.11">2.18.  Changes in OpenNMS 1.3.11</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.11"><fo:page-number-citation ref-id="opennms-1.3.11"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.11" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.11-features">2.18.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.11-features"><fo:page-number-citation ref-id="opennms-1.3.11-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.11-bugfixes">2.18.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.11-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.11-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.10">2.19.  Changes in OpenNMS 1.3.10</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.10"><fo:page-number-citation ref-id="opennms-1.3.10"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.10" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.10-features">2.19.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.10-features"><fo:page-number-citation ref-id="opennms-1.3.10-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.10-bugfixes">2.19.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.10-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.10-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.9">2.20.  Changes in OpenNMS 1.3.9</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.9"><fo:page-number-citation ref-id="opennms-1.3.9"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.9" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.9-features">2.20.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.9-features"><fo:page-number-citation ref-id="opennms-1.3.9-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.9-bugfixes">2.20.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.9-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.9-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.8">2.21.  Changes in OpenNMS 1.3.8</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.8"><fo:page-number-citation ref-id="opennms-1.3.8"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.8" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.8-features">2.21.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.8-features"><fo:page-number-citation ref-id="opennms-1.3.8-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.8-bugfixes">2.21.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.8-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.8-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.7">2.22.  Changes in OpenNMS 1.3.7</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.7"><fo:page-number-citation ref-id="opennms-1.3.7"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.7" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.7-features">2.22.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.7-features"><fo:page-number-citation ref-id="opennms-1.3.7-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.7-bugfixes">2.22.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.7-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.7-bugfixes"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.7-installinfo">2.22.3.  New Install Methods</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.7-installinfo"><fo:page-number-citation ref-id="opennms-1.3.7-installinfo"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.6">2.23.  Changes in OpenNMS 1.3.6</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.6"><fo:page-number-citation ref-id="opennms-1.3.6"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.6" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.6-features">2.23.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.6-features"><fo:page-number-citation ref-id="opennms-1.3.6-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.6-bugfixes">2.23.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.6-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.6-bugfixes"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.6-jni">2.23.3.  JNI Code Removal</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.6-jni"><fo:page-number-citation ref-id="opennms-1.3.6-jni"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.5">2.24.  Changes in OpenNMS 1.3.5</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.5"><fo:page-number-citation ref-id="opennms-1.3.5"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.5" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.5-bugfixes">2.24.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.5-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.5-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.4">2.25.  Changes in OpenNMS 1.3.4</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.4"><fo:page-number-citation ref-id="opennms-1.3.4"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.4" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.4-features">2.25.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.4-features"><fo:page-number-citation ref-id="opennms-1.3.4-features"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.4-bugfixes">2.25.2.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.4-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.4-bugfixes"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.3">2.26.  Changes in OpenNMS 1.3.3</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.3"><fo:page-number-citation ref-id="opennms-1.3.3"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.3" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.3-features">2.26.1.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.3-features"><fo:page-number-citation ref-id="opennms-1.3.3-features"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.2">2.27.  Changes in OpenNMS 1.3.2</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.2"><fo:page-number-citation ref-id="opennms-1.3.2"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.2" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.2-bugfixes">2.27.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.2-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.2-bugfixes"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.2-features">2.27.2.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.2-features"><fo:page-number-citation ref-id="opennms-1.3.2-features"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.1">2.28.  Changes in OpenNMS 1.3.1</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.1"><fo:page-number-citation ref-id="opennms-1.3.1"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.1" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.1-bugfixes">2.28.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.1-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.1-bugfixes"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.1-features">2.28.2.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.1-features"><fo:page-number-citation ref-id="opennms-1.3.1-features"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.0">2.29.  Changes in OpenNMS 1.3.0</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.0"><fo:page-number-citation ref-id="opennms-1.3.0"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.opennms-1.3.0" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.0-bugfixes">2.29.1.  Bug Fixes</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.0-bugfixes"><fo:page-number-citation ref-id="opennms-1.3.0-bugfixes"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="opennms-1.3.0-features">2.29.2.  New Features</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="opennms-1.3.0-features"><fo:page-number-citation ref-id="opennms-1.3.0-features"/></fo:basic-link></fo:inline></fo:block></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="known-issues">3.  Known Issues and Caveats</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="known-issues"><fo:page-number-citation ref-id="known-issues"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.known-issues" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="current-release">3.1.  Current Release</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="current-release"><fo:page-number-citation ref-id="current-release"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="previous-releases">3.2.  Previous Releases</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="previous-releases"><fo:page-number-citation ref-id="previous-releases"/></fo:basic-link></fo:inline></fo:block></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="supported">4.  Supported Systems</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="supported"><fo:page-number-citation ref-id="supported"/></fo:basic-link></fo:inline></fo:block><fo:block id="toc.opennms-releasenotes.supported" margin-left="24pt"><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="supported-fully">4.1.  Fully Supported</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="supported-fully"><fo:page-number-citation ref-id="supported-fully"/></fo:basic-link></fo:inline></fo:block><fo:block text-align-last="justify" text-align="start" end-indent="24pt" last-line-end-indent="-24pt"><fo:inline keep-with-next.within-line="always"><fo:basic-link internal-destination="supported-unsupported">4.2.  Unsupported</fo:basic-link></fo:inline><fo:inline keep-together.within-line="always"> <fo:leader leader-pattern="dots" leader-pattern-width="3pt" leader-alignment="reference-area" keep-with-next.within-line="always"/> <fo:basic-link internal-destination="supported-unsupported"><fo:page-number-citation ref-id="supported-unsupported"/></fo:basic-link></fo:inline></fo:block></fo:block></fo:block></fo:flow></fo:page-sequence>
	

	

	<fo:page-sequence xmlns:axf="http://www.antennahouse.com/names/XSL/Extensions" hyphenate="false" master-reference="front" language="en" format="i" initial-page-number="auto" force-page-count="no-force" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2"><fo:static-content flow-name="xsl-region-before-first"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-odd"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>Preface</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-even"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>Preface</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-blank"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"/></fo:static-content><fo:static-content flow-name="xsl-footnote-separator"><fo:block><fo:leader color="black" leader-pattern="rule" leader-length="1in"/></fo:block></fo:static-content><fo:static-content flow-name="blank-body"><fo:block text-align="center"/></fo:static-content><fo:static-content flow-name="xsl-region-after-first"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-odd"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-even"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-blank"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"/></fo:static-content><fo:flow flow-name="xsl-region-body" start-indent="4pc" end-indent="0pt"><fo:block id="preface"><fo:block><fo:block><fo:block margin-left="0pc" font-size="24.8832pt" font-family="sans-serif,Symbol,ZapfDingbats" font-weight="bold"><fo:block keep-with-next.within-column="always" space-before.optimum="11pt" space-before.minimum="11pt * 0.8" space-before.maximum="11pt * 1.2" hyphenate="false" text-align="left" start-indent="0pc" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2">Preface</fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
		OpenNMS is the creation of numerous people and organizations,
		operating under the umbrella of the OpenNMS project. The original code
		base was developed and published under the GPL by the Oculan Corporation
		until 2002, when the project administration was passed on to Tarus
		Balog.
	</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
		The current corporate sponsor of OpenNMS is
		<fo:basic-link external-destination="http://www.opennms.com/" text-decoration="underline" color="blue">The OpenNMS Group</fo:basic-link>,
		which also owns the OpenNMS trademark.
	</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
		OpenNMS is a derivative work, containing both original code,
		included code and modified code that was published under the GNU General
		Public License. Please see the source for detailed copyright notices,
		but some notable copyright owners are listed below:
	</fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e37"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e38"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>
				Copyright <fo:inline font-family="serif">©</fo:inline> 2002-2009
				<fo:basic-link external-destination="http://www.opennms.com" text-decoration="underline" color="blue">The OpenNMS Group, Inc.</fo:basic-link>
			</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e42"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>
				Original code base for OpenNMS version 1.0.0
				Copyright <fo:inline font-family="serif">©</fo:inline> 1999-2001
				<fo:basic-link external-destination="http://www.oculan.com" text-decoration="underline" color="blue">Oculan Corporation</fo:basic-link>.
			</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e46"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>
				Mapping code Copyright <fo:inline font-family="serif">©</fo:inline> 2003
				<fo:basic-link external-destination="http://www.nksi.com" text-decoration="underline" color="blue">Networked Knowledge Systems, Inc.</fo:basic-link>
			</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e50"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>
				ScriptD code Copyright <fo:inline font-family="serif">©</fo:inline> 2003
				<fo:basic-link external-destination="http://www.tavve.com" text-decoration="underline" color="blue">Tavve Software Company</fo:basic-link>.
			</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
		Please send any omissions or corrections to this document
		to <fo:basic-link external-destination="mailto:tarus@opennms.org" text-decoration="underline" color="blue">Tarus Balog</fo:basic-link>.
	</fo:block></fo:flow></fo:page-sequence>
	<fo:page-sequence xmlns:axf="http://www.antennahouse.com/names/XSL/Extensions" hyphenate="false" master-reference="body" language="en" format="1" initial-page-number="1" force-page-count="no-force" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2"><fo:static-content flow-name="xsl-region-before-first"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-odd"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>Introduction</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-even"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>Introduction</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-blank"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"/></fo:static-content><fo:static-content flow-name="xsl-footnote-separator"><fo:block><fo:leader color="black" leader-pattern="rule" leader-length="1in"/></fo:block></fo:static-content><fo:static-content flow-name="blank-body"><fo:block text-align="center"/></fo:static-content><fo:static-content flow-name="xsl-region-after-first"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-odd"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-even"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-blank"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"/></fo:static-content><fo:flow flow-name="xsl-region-body" start-indent="4pc" end-indent="0pt"><fo:block id="introduction"><fo:block font-family="sans-serif,Symbol,ZapfDingbats"><fo:block margin-left="0pc"><fo:block text-align="left" font-weight="bold" font-size="19.8pt"><fo:block keep-with-next.within-column="always" space-before.optimum="11pt" space-before.minimum="11pt * 0.8" space-before.maximum="11pt * 1.2" hyphenate="false" text-align="left" start-indent="0pc" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2">Chapter 1. Introduction</fo:block></fo:block><fo:block text-align="left" font-weight="bold" font-size="14.4pt" space-before="0.5em" font-style="italic">About This Release</fo:block></fo:block></fo:block></fo:block><fo:block id="introduction-1.6.6"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Release 1.6.5</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">1.1. Release 1.6.5</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			Release 1.6.6 is a bugfix release in the 1.6 series.  It is a
			recommended upgrade for all users.
		</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			The codename for 1.6.6 is <fo:inline font-style="italic">Helmethead</fo:inline>.
		</fo:block></fo:block><fo:block id="introduction-1.6.5"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Release 1.6.5</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">1.2. Release 1.6.5</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			Release 1.6.5 is a small bugfix release in the 1.6 series.  It is a
			recommended upgrade for all users.
		</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			The codename for 1.6.5 is <fo:inline font-style="italic">Eastern Conference Finals</fo:inline>.
		</fo:block></fo:block><fo:block id="introduction-1.6.4"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Release 1.6.4</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">1.3. Release 1.6.4</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			Release 1.6.4 continues the 1.6 series with a fix for a showstopper exception
			in OpenNMS 1.6.3.  It is a <fo:inline font-style="italic">strongly</fo:inline> recommended upgrade
			for all users.
		</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			The codename for 1.6.4 is <fo:inline font-style="italic">mea</fo:inline>.
		</fo:block></fo:block><fo:block id="introduction-1.6.3"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Release 1.6.3</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">1.4. Release 1.6.3</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			Release 1.6.3 continues the 1.6 series with a small set of bug fixes and minor
			feature enhancements.  It is a recommended upgrade for all users.
		</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			The codename for 1.6.3 is <fo:inline font-style="italic"><fo:basic-link external-destination="http://blogs.opennms.org/?p=733" text-decoration="underline" color="blue">waterfall</fo:basic-link></fo:inline>.
		</fo:block></fo:block><fo:block id="introduction-1.6.2"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Release 1.6.2</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">1.5. Release 1.6.2</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			Release 1.6.2 continues the 1.6 series with a small set of bug fixes and minor
			feature enhancements.  It is a recommended upgrade for all users.
		</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			The codename for 1.6.2 is <fo:inline font-style="italic">software mercenaries</fo:inline>.
		</fo:block></fo:block><fo:block id="introduction-1.6.1"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Release 1.6.1</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">1.6. Release 1.6.1</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			Release 1.6.1 continues the 1.6 series with a small set of bug fixes and minor
			feature enhancements.  It is a recommended upgrade for all users.
		</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			The codename for 1.6.1 is <fo:inline font-style="italic">bamboo army</fo:inline>.
		</fo:block></fo:block><fo:block id="introduction-1.6.0"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Release 1.6.0</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">1.7. Release 1.6.0</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Release 1.6.0 is the first stable release in the OpenNMS 1.6 series.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">It's been 3 and a half years since the last OpenNMS stable version, 1.2, was
		branched and released as production-ready.  In that time, OpenNMS as a project has
		changed tremendously, the community has grown exponentially, and massive numbers of
		new features have been incorporated into the "unstable" 1.3.x series.
		</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">In that time, the unstable codebase solidified to the point that The OpenNMS
		Group supported it as if it were stable; it was <fo:inline font-style="italic">at least</fo:inline> as
		stable as 1.2.x was, but many users held off on upgrading because of the unstable
		moniker.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">After a lot of work, and a renewed focus on getting the next stable release
		out the door, we are now prepared to declare OpenNMS 1.6 release-candidate-ready.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Why 1.6 instead of 1.4?  3 years is a lot of time, and a lot has happened
		in that time.  We're not ready to call it 2.0, we want to redo the web UI first,
		but 1.4 didn't really do the massive changes since 1.2 justice.  So: 1.6 it is.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Since it is a lot easier to do a release than it was in the 1.2 series (now
		that the native code is moved out into separate packages, and OpenNMS itself is
		distributed as pure-java sources), the goal is to continue to be on a much faster
		6-month or year cycle for new releases.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Please, let us know if you have any problems at all in our <fo:basic-link external-destination="http://bugzilla.opennms.org/" text-decoration="underline" color="blue">Bugzilla bug tracker</fo:basic-link>.</fo:block></fo:block></fo:flow></fo:page-sequence>
	<fo:page-sequence xmlns:axf="http://www.antennahouse.com/names/XSL/Extensions" hyphenate="false" master-reference="body" language="en" format="1" initial-page-number="auto" force-page-count="no-force" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2"><fo:static-content flow-name="xsl-region-before-first"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-odd"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>What's New?</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-even"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"><fo:table table-layout="fixed" width="100%" border-bottom-width="0.5pt" border-bottom-style="solid" border-bottom-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell><fo:table-cell text-align="center" display-align="before" relative-align="baseline"><fo:block><fo:block>What's New?</fo:block></fo:block></fo:table-cell><fo:table-cell text-align="right" display-align="before" relative-align="baseline"><fo:block><fo:block/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-before-blank"><fo:block font-family="serif" margin-left="-5em" margin-right="-5em"/></fo:static-content><fo:static-content flow-name="xsl-footnote-separator"><fo:block><fo:leader color="black" leader-pattern="rule" leader-length="1in"/></fo:block></fo:static-content><fo:static-content flow-name="blank-body"><fo:block text-align="center"/></fo:static-content><fo:static-content flow-name="xsl-region-after-first"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-odd"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-even"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"><fo:table table-layout="fixed" width="100%" border-top-width="0.5pt" border-top-style="solid" border-top-color="black"><fo:table-column column-number="1" column-width="proportional-column-width(1)"/><fo:table-column column-number="2" column-width="proportional-column-width(1)"/><fo:table-column column-number="3" column-width="proportional-column-width(1)"/><fo:table-body><fo:table-row block-progression-dimension.minimum="14pt"><fo:table-cell text-align="left" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="center" display-align="after" relative-align="baseline"><fo:block/></fo:table-cell><fo:table-cell text-align="right" display-align="after" relative-align="baseline"><fo:block><fo:page-number/></fo:block></fo:table-cell></fo:table-row></fo:table-body></fo:table></fo:block></fo:static-content><fo:static-content flow-name="xsl-region-after-blank"><fo:block font-family="serif,Symbol,ZapfDingbats" margin-left="0pc"/></fo:static-content><fo:flow flow-name="xsl-region-body" start-indent="4pc" end-indent="0pt"><fo:block id="whats-new"><fo:block font-family="sans-serif,Symbol,ZapfDingbats"><fo:block margin-left="0pc"><fo:block text-align="left" font-weight="bold" font-size="19.8pt"><fo:block keep-with-next.within-column="always" space-before.optimum="11pt" space-before.minimum="11pt * 0.8" space-before.maximum="11pt * 1.2" hyphenate="false" text-align="left" start-indent="0pc" hyphenation-character="-" hyphenation-push-character-count="2" hyphenation-remain-character-count="2">Chapter 2. What's New?</fo:block></fo:block><fo:block text-align="left" font-weight="bold" font-size="14.4pt" space-before="0.5em" font-style="italic">Changes in This OpenNMS</fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.6.6"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.6.6</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.1. Changes in OpenNMS 1.6.6</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.6.6-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features and Enhancements</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.1.1. New Features and Enhancements</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e109"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e110"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The new in-memory thresholder now supports non-IP interfaces. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2711" text-decoration="underline" color="blue">#2711</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e113"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Linkd was updated with support for a number of HP ProCurve switches. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3076" text-decoration="underline" color="blue">#3076</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e116"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The web UI now (configurably) supports asynchronously loading some parts
					of the front page. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3165" text-decoration="underline" color="blue">#3165</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e119"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Data collection and graphing has been added or updated for
					Trango, Cisco AP1200, Cisco UBR/DOCSIS, Cisco IP SLA, Cisco CSS,
					Cisco POE, Juniper J-Series, Dell DRAC, Kyocera MITA Printer,
					Motorola CPEi 150 WiMAX, Blackberry, Equallogic iSCSI, NetApp,
					AS/400, and ININ Interaction Center devices
					(Bugs 
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3167" text-decoration="underline" color="blue">#3167</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3210" text-decoration="underline" color="blue">#3210</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3213" text-decoration="underline" color="blue">#3213</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3252" text-decoration="underline" color="blue">#3252</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3253" text-decoration="underline" color="blue">#3253</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3254" text-decoration="underline" color="blue">#3254</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3262" text-decoration="underline" color="blue">#3262</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3269" text-decoration="underline" color="blue">#3269</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3272" text-decoration="underline" color="blue">#3272</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3280" text-decoration="underline" color="blue">#3280</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3281" text-decoration="underline" color="blue">#3281</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3285" text-decoration="underline" color="blue">#3285</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3293" text-decoration="underline" color="blue">#3293</fo:basic-link>,
					and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3308" text-decoration="underline" color="blue">#3308</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e135"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>When you add a new interface, the landing page provides a breadcrumb back
					to the add interface page.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3186" text-decoration="underline" color="blue">#3186</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e138"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>OpenNMS now supports tuning (or disabling) the JVM's DNS cache. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3215" text-decoration="underline" color="blue">#3215</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e141"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The trivial time monitor can now persist clock skew data for data
					collection. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3234" text-decoration="underline" color="blue">#3234</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e144"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A new monitor has been added for monitoring Dell OpenManage Chassis. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3243" text-decoration="underline" color="blue">#3243</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e147"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>It is now possible to configure the SSL ciphers accepted by the internal Jetty
					web server in <fo:inline font-family="monospace" font-size="0.8em">opennms.properties</fo:inline>.  As of 1.6.6, by default, a
					number of older, insecure ciphers are excluded.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3307" text-decoration="underline" color="blue">#3307</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e151"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The installer now accepts PostgreSQL 8.4.1+ for use with OpenNMS.  Please note
					that PostgreSQL 8.4.0
					<fo:basic-link external-destination="http://archives.postgresql.org/pgsql-bugs/2009-07/msg00263.php" text-decoration="underline" color="blue">has a bug</fo:basic-link>
					that causes invalid results in some cases, and will not be supported. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3342" text-decoration="underline" color="blue">#3342</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.6.6-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.1.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e157"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e158"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>An occasional error caused by malformed DNS requests was fixed. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1295" text-decoration="underline" color="blue">#1295</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e161"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>OpenNMS now handles a number of configuration errors more gracefully. (Bugs
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1526" text-decoration="underline" color="blue">#1526</fo:basic-link> and
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1776" text-decoration="underline" color="blue">#1776</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e165"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>In some cases, the ifIndex OpenNMS stores would not get updated on a Capsd
					rescan. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1578" text-decoration="underline" color="blue">#1578</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e168"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A layout issue in the asset modification page has been fixed. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1771" text-decoration="underline" color="blue">#1771</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e171"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A potential threading issue in notifications was fixed. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1803" text-decoration="underline" color="blue">#1803</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e174"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The page counts in the event display were sometimes incorrect. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1843" text-decoration="underline" color="blue">#1843</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e177"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>OpenNMS now validates that ds-names are not too long for RRDtool (and
					JRobin) to handle.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1846" text-decoration="underline" color="blue">#1846</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e180"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Adding users with non-ASCII names caused an exception. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2977" text-decoration="underline" color="blue">#2977</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e183"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Syslogd had a race condition which sometimes garbled incoming logs. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3079" text-decoration="underline" color="blue">#3079</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e186"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>RPM upgrades no longer clobber a number of configuration files. (Bugs
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3122" text-decoration="underline" color="blue">#3122</fo:basic-link> and
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3166" text-decoration="underline" color="blue">#3166</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e190"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Linkd had a threading issue which could cause occasional exceptions. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3123" text-decoration="underline" color="blue">#3123</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e193"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug in database queries related to the SNMP interface table has been
					fixed.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3179" text-decoration="underline" color="blue">#3179</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e196"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug in thresholding that caused multiple thresholds using the same datasource
					to not trigger has been fixed.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3193" text-decoration="underline" color="blue">#3193</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e199"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The BgpSessionPlugin could throw an exception during a Capsd rescan in some
					cases. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3198" text-decoration="underline" color="blue">#3198</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e202"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The availability reports listed time in 12-hour format, but failed to say
					AM or PM.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3208" text-decoration="underline" color="blue">#3208</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e205"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The snmpphysaddr in the database was too small for some large MAC addreses. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3216" text-decoration="underline" color="blue">#3216</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e208"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The JMX monitor did not honor the "retries" config attribute. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3232" text-decoration="underline" color="blue">#3232</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e211"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>SNMP data collection and graphing configs have been updated to handle Net-SNMP
					graphs for varying kernel implementations. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3248" text-decoration="underline" color="blue">#3248</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e214"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Rates are now treated as counters for the purposes of thresholding.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3263" text-decoration="underline" color="blue">#3263</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e217"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>URL parameters were ignored for HTTP GET and POST methods in the HttpCollector.
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3266" text-decoration="underline" color="blue">#3266</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e220"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A few NullPointerExceptions were fixed in various places. (Bugs
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3271" text-decoration="underline" color="blue">#3271</fo:basic-link>
					and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3345" text-decoration="underline" color="blue">#3345</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e224"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A date-parsing bug in Tl1d was fixed. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3318" text-decoration="underline" color="blue">#3318</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e227"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>It is now valid to have no http-collection tags in the
					<fo:block color="red">&lt;file&gt;http-datacollection-config.xml&lt;/file&gt;</fo:block> file. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3343" text-decoration="underline" color="blue">#3343</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e231"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Some versions of RPM automatically generated perl dependencies, even though it
					should be disabled since they come from contrib/ scripts. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3344" text-decoration="underline" color="blue">#3344</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e234"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The JDBC code was vetted for possible connection and handle leaks that could
					occur when a database exception is thrown. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3346" text-decoration="underline" color="blue">#3346</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e237"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>An error in the build system that would cause intermittent failures was resolved.
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3347" text-decoration="underline" color="blue">#3347</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:block><fo:block id="opennms-1.6.5"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.6.5</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.2. Changes in OpenNMS 1.6.5</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.6.5-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features and Enhancements</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.2.1. New Features and Enhancements</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e244"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e245"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Capsd will now use ifHighSpeed instead of ifSpeed when available. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1822" text-decoration="underline" color="blue">#1822</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e248"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The SNMP configuration shipped with OpenNMS now uses SNMP v2c, fewer retries,
					and a longer timeout by default, for more efficient scanning. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3050" text-decoration="underline" color="blue">#3050</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e251"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Data collection and graphing has been added or updated for
					Alcatel-Lucent, Allot, Alteon, Aruba, Ascend, Avocent, Bluecat, BlueCoat,
					Cisco Airespace, Lucent, NetApp, Overture, Packeteer, and Powerware devices
					(Bugs 
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3096" text-decoration="underline" color="blue">#3096</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3099" text-decoration="underline" color="blue">#3099</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3109" text-decoration="underline" color="blue">#3109</fo:basic-link>,
					and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3138" text-decoration="underline" color="blue">#3138</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e257"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Support has been added for using raw instance identifiers in
					thresholds when no data source label can be inferred (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3108" text-decoration="underline" color="blue">#3108</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e260"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Support was added for a number of new Cisco devices in Linkd (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3110" text-decoration="underline" color="blue">#3110</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e263"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Support has been added for extracting the bgpPeerRemoteAddr instance
					identifier from the varbinds of the bgpEstablished and bgpBackwardTransition
					traps defined in the BGP4-MIB.  This allows us to make meaningful alarm
					annotations for these events so that the resulting alarms can self-clear. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3156" text-decoration="underline" color="blue">#3156</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e266"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Some tools have been added to OpenNMS "contrib" for creating SNMP walk dumps
					suitable for debugging with OpenNMS's mock SNMP server. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3173" text-decoration="underline" color="blue">#3173</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e269"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The default "Database" category now includes MSSQL and Oracle in addition
					to MySQL and PostgreSQL. (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3175" text-decoration="underline" color="blue">#3175</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.6.5-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.2.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e274"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e275"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The Capsd HTTP plugin now properly honors response-text parameters.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2774" text-decoration="underline" color="blue">#2774</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e278"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The HTTP collector now properly honors the "retry" parameter.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3133" text-decoration="underline" color="blue">#3133</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e281"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The Hyperic HQ service monitor definition now detects Hyperic HQ 4.x properly.
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3106" text-decoration="underline" color="blue">#3106</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e284"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Multiple nodes with the same name/label can now be distinguished from each other
					in category views.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3112" text-decoration="underline" color="blue">#3112</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e287"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Vacuumd cleans out old (invalid) nodes from topology map tables.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3121" text-decoration="underline" color="blue">#3121</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e290"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The JMX collector now works when store-by-group persisting is enabled.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3160" text-decoration="underline" color="blue">#3160</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e293"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Configuration file filtering has been fixed so that tags aren't properly
					expanded in opennms.properties.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3174" text-decoration="underline" color="blue">#3174</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e296"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The remote poller build now ensures it is compiled with the correct version
					of Groovy.  (Bug
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3176" text-decoration="underline" color="blue">#3176</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">The full list of changes is available in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?target_milestone=1.6.5" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block></fo:block><fo:block id="opennms-1.6.4"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.6.4</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.3. Changes in OpenNMS 1.6.4</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
			A <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3094" text-decoration="underline" color="blue">NullPointerException in the
			SNMP poller</fo:basic-link> was found in OpenNMS 1.6.3, relating to the enhancements in <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3065" text-decoration="underline" color="blue">bug #3065</fo:basic-link>.  The only change
			in OpenNMS 1.6.4 is a fix for that exception.
		</fo:block></fo:block><fo:block id="opennms-1.6.3"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.6.3</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.4. Changes in OpenNMS 1.6.3</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.6.3-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features and Enhancements</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.4.1. New Features and Enhancements</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e310"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e311"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A thresholding evaluator has been added that uses the absolute value
					to compute deltas, and has the ability to rearm after a certain number of
					collections below the hysteresis point.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2768" text-decoration="underline" color="blue">#2768</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e314"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Data collection and graphing has been added or updated for BGP MIBs
					from Cisco and IETF, other Cisco equipment, Jupiter M-Router, Liebert UPSes,
					MPLS, MSDP, Net-SNMP, and Netenforcer Allot
					(Bugs 
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2990" text-decoration="underline" color="blue">#2990</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2998" text-decoration="underline" color="blue">#2998</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3012" text-decoration="underline" color="blue">#3012</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3013" text-decoration="underline" color="blue">#3013</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3025" text-decoration="underline" color="blue">#3025</fo:basic-link>,
					<fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3064" text-decoration="underline" color="blue">#3064</fo:basic-link>,
					and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3068" text-decoration="underline" color="blue">#3068</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e323"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Enhanced string extraction support in resourceLabels has been added
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2997" text-decoration="underline" color="blue">#2997</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e326"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The KSC report list is now viewable by read-only users (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3005" text-decoration="underline" color="blue">#3005</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e329"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>XML configuration file XSDs are now included in the distribution (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3006" text-decoration="underline" color="blue">#3006</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e332"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Event translator matches can be performed against the name rather than the
					value (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3049" text-decoration="underline" color="blue">#3049</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e335"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Event parameter names are can now be expanded using the %parm% syntax
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3061" text-decoration="underline" color="blue">#3061</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e338"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The SNMP monitor can now include operator, operand, and observed value
					in results string (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3065" text-decoration="underline" color="blue">#3065</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e341"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Syslogd now has an optional "discard-uei" option to discard matching
					UEIs (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3066" text-decoration="underline" color="blue">#3066</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e344"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The model importer now supports scanning the node for non-IP interfaces
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3075" text-decoration="underline" color="blue">#3075</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e347"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block><fo:basic-link external-destination="http://www.opennms.org/index.php/BgpSessionMonitor" text-decoration="underline" color="blue">A new monitor</fo:basic-link>
					has been added which supports checking that a BGP peering partner is functional
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3080" text-decoration="underline" color="blue">#3080</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e351"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>JFreeChart 3D bar charts have been enabled
					(Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3086" text-decoration="underline" color="blue">#3086</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.6.3-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.4.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e356"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e357"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Thresholding on JMX collection has been fixed (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2512" text-decoration="underline" color="blue">#2512</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e360"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Using multiple &lt;package&gt; statements in
					<fo:inline font-family="monospace" font-size="0.8em">linkd-configuration.xml</fo:inline> now works (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2818" text-decoration="underline" color="blue">#2818</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e364"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug in filter-based expressions was resolved (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2966" text-decoration="underline" color="blue">#2966</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e367"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug interacting with newer versions of NSClient++ has been fixed (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2983" text-decoration="underline" color="blue">#2983</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e370"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Altiga authentication success traps are now ignored (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3004" text-decoration="underline" color="blue">#3004</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e373"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The JFreeChart charts layout was fixed (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3040" text-decoration="underline" color="blue">#3040</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e376"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The mail transport monitor now works in read-only mode (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=3071" text-decoration="underline" color="blue">#3071</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">The full list of changes is available in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?target_milestone=1.6.3" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block></fo:block><fo:block id="opennms-1.6.2"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.6.2</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.5. Changes in OpenNMS 1.6.2</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.6.2-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.5.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e385"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e386"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Ticketing integration support was added for <fo:basic-link external-destination="http://bestpractical.com/rt/" text-decoration="underline" color="blue">RT (Request Tracker)</fo:basic-link> (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2278" text-decoration="underline" color="blue">#2278</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e390"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Jabber notifications now support configurations where the XMPP domain
          	server hostname don't match, e.g. Google Talk (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1387" text-decoration="underline" color="blue">#1387</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e393"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>KSC reports now auto-refresh every 5 minutes (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2899" text-decoration="underline" color="blue">#2899</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e396"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>New data collections and traps were added for various IETF, Cisco,
	        Juniper, AIX, and SNMP Informant MIBs. (Bugs <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2933" text-decoration="underline" color="blue">#2933</fo:basic-link>,
	        <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2934" text-decoration="underline" color="blue">#2934</fo:basic-link>,
	        <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2947" text-decoration="underline" color="blue">#2947</fo:basic-link>,
	        and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2954" text-decoration="underline" color="blue">#2954</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.6.2-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.5.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e404"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e405"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Jabber notifications would stop sending if the connection to the XMPP
            server failed; it now reconnects automatically.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1860" text-decoration="underline" color="blue">#1860</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e408"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A couple of unhandled exceptions were fixed.  (Bugs <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1599" text-decoration="underline" color="blue">#1599</fo:basic-link> and
            <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1748" text-decoration="underline" color="blue">#1748</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e412"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The PL/pgsql version of IPLIKE did not work with expressions that used
            multiple comma-separated values.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2803" text-decoration="underline" color="blue">#2803</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e415"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>HTTP data collection only stored values for one URL, even if multiple
            URLs were specified in the http-datacollection-config.xml.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2940" text-decoration="underline" color="blue">#2940</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e418"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The mail transport monitor would not always honor the delete-all-mail
            attribute.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2969" text-decoration="underline" color="blue">#2969</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">The full list of changes is available in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?query_format=advanced&amp;target_milestone=1.6.2&amp;bug_status=VERIFIED&amp;cmdtype=doit" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block></fo:block><fo:block id="opennms-1.6.1"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.6.1</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.6. Changes in OpenNMS 1.6.1</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.6.1-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.6.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e427"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e428"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>KSC reports are now sorted by title. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2817" text-decoration="underline" color="blue">#2817</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e431"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>You can now use ${ipaddr} in URLs for in the Page Sequence Monitor. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2840" text-decoration="underline" color="blue">#2840</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e434"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Support for new Fortinet traps was added. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2847" text-decoration="underline" color="blue">#2847</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e437"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A monitor for the trivial time service was added. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2864" text-decoration="underline" color="blue">#2864</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.6.1-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.6.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e442"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e443"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>An error when attempting to delete URLs in the discovery admin page
            was fixed.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2829" text-decoration="underline" color="blue">#2829</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e446"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The poller was no longer setting the reason on nodeLostService events.
            (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2846" text-decoration="underline" color="blue">#2846</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e449"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>An exception in the path outages web UI when using PostgreSQL 8.3
            was fixed.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2866" text-decoration="underline" color="blue">#2866</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e452"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A few issues with ticket and alarm triggers were fixed.  (Bugs <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2868" text-decoration="underline" color="blue">#2868</fo:basic-link> and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2869" text-decoration="underline" color="blue">#2869</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e456"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug that would cause the OTRS ticketer plugin to ignore otrs.properties was
            fixed (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2870" text-decoration="underline" color="blue">#2870</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e459"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>An invalid regular expression in the thresholding configuration could
            cause thresholding not to happen and throw an exception.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2873" text-decoration="underline" color="blue">#2873</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e462"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The HTTP data collector now behaves properly when storeByGroup=true (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2875" text-decoration="underline" color="blue">#2875</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e465"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The SSH monitor would cause a thread lock if a socket allowed connection
            but never returned any data.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2896" text-decoration="underline" color="blue">#2896</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e468"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The mail transport monitor would not retry during the read test.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2897" text-decoration="underline" color="blue">#2897</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.6.1-changes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Configuration/Behavior Changes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.6.3. Configuration/Behavior Changes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A number of changes were done to configs to clean up usage and get rid of old
      unnecessary tags.</fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e474"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e475"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block><fo:inline font-family="monospace" font-size="0.8em">capsd-configuration.xml</fo:inline>: capsd-configuration.xml no longer
        requires the <fo:inline font-family="monospace" font-size="0.8em">user-defined</fo:inline> attribute. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2872" text-decoration="underline" color="blue">#2872</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e480"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block><fo:inline font-family="monospace" font-size="0.8em">eventconf.xml</fo:inline>: the &lt;logmsg&gt; tag now accepts an
        optional attribute, <fo:inline font-family="monospace" font-size="0.8em">notify</fo:inline>, which can be set to <fo:inline font-family="monospace" font-size="0.8em">false</fo:inline>
        to unilaterally suppress any notifications on that event. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2891" text-decoration="underline" color="blue">#2891</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e486"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block><fo:inline font-family="monospace" font-size="0.8em">http-datacollection-config.xml</fo:inline>: The <fo:inline font-family="monospace" font-size="0.8em">name</fo:inline> attribute
        on URI tags in the HTTP data collection configuration file is now required.  It was common
        practice to do so anyways, but you will need to check your configs to make sure it is defined.
        (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2876" text-decoration="underline" color="blue">#2876</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e491"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block><fo:inline font-family="monospace" font-size="0.8em">http-datacollection-config.xml</fo:inline>: The <fo:inline font-family="monospace" font-size="0.8em">url</fo:inline> tag can now take
          a number of options relating to how regular expressions should be parsed.  (Bug
          <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2882" text-decoration="underline" color="blue">#2882</fo:basic-link>)</fo:block><fo:list-block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" provisional-distance-between-starts="2in" provisional-label-separation="0.25in"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e498"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#CANON_EQ" text-decoration="underline" color="blue">canonical-equivalence</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>When this flag is specified then two characters will be considered to
              match if, and only if, their full canonical decompositions match.  The expression "a\u030A",
              for example, will match the string "å" when this flag is specified.  By default, matching
              does not take canonical equivalence into account.</fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e503"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#CASE_INSENSITIVE" text-decoration="underline" color="blue">case-insensitive</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>Enables case-insensitive matching.  By default, case-insensitive matching
              assumes that only characters in the US-ASCII charset are being matched.  Unicode-aware
              case-insensitive matching can be enabled by specifying the <fo:inline font-family="monospace" font-size="0.8em">unicode-case</fo:inline>
              flag in conjunction with this flag.</fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e509"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#COMMENTS" text-decoration="underline" color="blue">comments</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>Permits whitespace and comments in pattern.  In this mode, whitespace is
              ignored, and embedded comments starting with # are ignored until the end of a line.</fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e514"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#DOTALL" text-decoration="underline" color="blue">dotall</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>Enables dotall mode.  In dotall mode, the expression . matches any
               character, including a line terminator.  By default this expression does not match
               line terminators.</fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e519"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#LITERAL" text-decoration="underline" color="blue">literal</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>Enables literal parsing of the pattern.  When this flag is specified
               then the input string that specifies the pattern is treated as a sequence of literal
               characters. Metacharacters or escape sequences in the input sequence will be given no
               special meaning.  The flags <fo:inline font-family="monospace" font-size="0.8em">case-insensitive</fo:inline> and
               <fo:inline font-family="monospace" font-size="0.8em">unicode-case</fo:inline> retain their impact on matching when used in
               conjunction with this flag. The other flags become superfluous.</fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e526"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#MULTILINE" text-decoration="underline" color="blue">multiline</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>Enables multiline mode.  In multiline mode the expressions ^ and $
			   match just after or just before, respectively, a line terminator or the end of the
			   input sequence. By default these expressions only match at the beginning and the
			   end of the entire input sequence.</fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e531"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#UNICODE_CASE" text-decoration="underline" color="blue">unicode-case</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>Enables Unicode-aware case folding.  When this flag is specified then
			   case-insensitive matching, when enabled by the <fo:inline font-family="monospace" font-size="0.8em">case-insensitive</fo:inline>
			   flag, is done in a manner consistent with the Unicode Standard. By default,
			   case-insensitive matching assumes that only characters in the US-ASCII charset are
			   being matched.</fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em"><fo:list-item-label end-indent="label-end()"><fo:block><fo:inline id="d471e537"><fo:basic-link external-destination="http://java.sun.com/j2se/1.5.0/docs/api/java/util/regex/Pattern.html#UNIX_LINES" text-decoration="underline" color="blue">unix-lines</fo:basic-link></fo:inline></fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block>Enables Unix lines mode.  In this mode, only the '\n' line terminator
			   is recognized in the behavior of ., ^, and $.</fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e541"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block><fo:inline font-family="monospace" font-size="0.8em">notifd-configuration.xml</fo:inline>: The default behavior of the numeric
        page (-nm) field in notifications has been changed to prepend "RESOLVED:" to the message, just like
        other page types, since most people are using the numeric field for SMS pages.  To restore the old
        behavior, add the <fo:inline font-family="monospace" font-size="0.8em">skip-numeric-resolution-prefix</fo:inline> to the global
        &lt;notifd-configuration&gt; tag at the top of the file, set to "<fo:inline font-family="monospace" font-size="0.8em">true</fo:inline>".</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">The full list of changes is available in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?query_format=advanced&amp;target_milestone=1.6.1&amp;bug_status=VERIFIED&amp;cmdtype=doit" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block></fo:block><fo:block id="opennms-1.6.0"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.6.0</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.7. Changes in OpenNMS 1.6.0</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">
    	OpenNMS 1.5.99 passed release candidate testing and was re-tagged as 1.6.0.
    </fo:block></fo:block><fo:block id="opennms-1.5.99"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.99</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.8. Changes in OpenNMS 1.5.99</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.99-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.8.1. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e555"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e556"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug in the poller which caused the reason code not to be associated
            with node lost service events was fixed.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2846" text-decoration="underline" color="blue">#2846</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:block><fo:block id="opennms-1.5.98"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.98</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.9. Changes in OpenNMS 1.5.98</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.98-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.9.1. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e563"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e564"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug in the OTRS integration was fixed.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2835" text-decoration="underline" color="blue">#2835</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e567"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A critical bug in the poller and HTTP monitor which could cause
          services from being restored in some cases was fixed.  (Bugs <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2841" text-decoration="underline" color="blue">#2841</fo:basic-link> and
          <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2842" text-decoration="underline" color="blue">#2842</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:block><fo:block id="opennms-1.5.97"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.97</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.10. Changes in OpenNMS 1.5.97</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.97-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.10.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e575"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e576"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>When searching for a node, if the search returns only a single node,
          it will redirect directly to the node page.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1518" text-decoration="underline" color="blue">#1518</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e579"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Support for new Ricoh/Savin Printer data collections was added. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1941" text-decoration="underline" color="blue">#1941</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e582"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The default thresholding behavior has been changed to use the new
          in-line collectd-based thresholder. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2611" text-decoration="underline" color="blue">#2611</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e585"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The comment field in assets no longer has a size limit. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2763" text-decoration="underline" color="blue">#2763</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e588"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The default logging level is now WARN instead of DEBUG.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2796" text-decoration="underline" color="blue">#2796</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e591"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>PostgreSQL 8.3 is now officially supported in the installer.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2808" text-decoration="underline" color="blue">#2808</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.5.97-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.10.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e596"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e597"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A bug in the scheduled outages UI was fixed.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2670" text-decoration="underline" color="blue">#2670</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e600"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A number of thread concurrency issues have been fixed.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2715" text-decoration="underline" color="blue">#2715</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e603"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The HTTP collector now handles string attributes correctly.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2806" text-decoration="underline" color="blue">#2806</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e606"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>
            A few other bugs have been fixed since 1.5.96, in the process
            of preparing for 1.6.0.  A full list of bugs fixed in the release can be
            found in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?query_format=advanced&amp;target_milestone=1.5.97+%281.6+beta+8%29&amp;bug_status=VERIFIED&amp;cmdtype=doit" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.
          </fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:block><fo:block id="opennms-1.5.96"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.96</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.11. Changes in OpenNMS 1.5.96</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.96-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.11.1. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e613"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e614"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>An exception introduced into the notification browser as part of the
          XSS security fixes was made unexceptional.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2776" text-decoration="underline" color="blue">#2776</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:block><fo:block id="opennms-1.5.95"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.95</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.12. Changes in OpenNMS 1.5.95</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.95-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.12.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e621"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e622"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Nodes in category list are now sorted by name.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2708" text-decoration="underline" color="blue">#2708</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.5.95-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.12.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A bug in the poller that would cause failed services to be shown
      as available was fixed.  (Bug
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2769" text-decoration="underline" color="blue">#2769</fo:basic-link>)
      </fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A few other bugs have been fixed since 1.5.94, in the process
      of preparing for 1.6.0.  A full list of bugs fixed in the release can be
      found in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?query_format=advanced&amp;target_milestone=1.5.95+%281.6+beta+6%29&amp;bug_status=VERIFIED&amp;cmdtype=doit" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A number of security issues have been fixed.  (Bug
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2760" text-decoration="underline" color="blue">#2760</fo:basic-link>)
      </fo:block></fo:block></fo:block><fo:block id="opennms-1.5.94"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.94</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.13. Changes in OpenNMS 1.5.94</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.94-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.13.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e637"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e638"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>OpenNMS now has provisional support for PostgreSQL 8.3.  All known bugs
          have been fixed, but there may be some corner cases left that aren't covered by
          unit tests.  To use OpenNMS with PostgreSQL 8.3, you will need to run the install
          tool with the "-Q" option. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2613" text-decoration="underline" color="blue">#2613</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e641"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>OpenNMS now automatically writes a thread dump to output.log on
          shutdown, for easier debugging. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2181" text-decoration="underline" color="blue">#2181</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e644"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>SNMP parameters can now be set in the Collectd configuration. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2195" text-decoration="underline" color="blue">#2195</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e647"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Relative thresholds can now use negative numbers.  Additionally, you can
          now threshold on absolute changes as well (loss in dB on fiber links, etc.) (Bugs
          <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2275" text-decoration="underline" color="blue">#2275</fo:basic-link> and
          <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2604" text-decoration="underline" color="blue">#2604</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e651"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>XmlRpcNotifier now allows a timeout parameter. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2342" text-decoration="underline" color="blue">#2342</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e654"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The java web start remote poller can now be run in a headless mode.
          See <fo:basic-link external-destination="http://www.opennms.org/index.php/Remote_Poller" text-decoration="underline" color="blue">this page</fo:basic-link>
          for configuration details. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2354" text-decoration="underline" color="blue">#2354</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e658"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Asset comments now retain formatting.  In addition, the exporter creates
          real CSV files, so you can have asset data with commas in them. ;) (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2363" text-decoration="underline" color="blue">#2363</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e661"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The OSS/J QoS interface has been enhanced in a number of ways, mostly
	      related to documentation and simplifying importing.  See <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2618" text-decoration="underline" color="blue">bug #2618</fo:basic-link>
	      for details.</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e664"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>A new ticketing plugin for <fo:basic-link external-destination="http://otrs.org/" text-decoration="underline" color="blue">OTRS</fo:basic-link> has been added.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2658" text-decoration="underline" color="blue">#2658</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e668"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Initial support was added for interfacing with devices that speak
         Transactional Language 1, or TL-1.  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2693" text-decoration="underline" color="blue">#2693</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e671"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>The HTTP Collector can now substitute IP addresses in URLs it's
	      collecting from  (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2590" text-decoration="underline" color="blue">#2590</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e674"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Support for new Aedilis, Cisco, Citrix, Compaq, McAfee, Polycom,
	      Radlan, and UPS-MIB traps (Bugs <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2511" text-decoration="underline" color="blue">#2511</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2542" text-decoration="underline" color="blue">#2542</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2554" text-decoration="underline" color="blue">#2554</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2566" text-decoration="underline" color="blue">#2566</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2581" text-decoration="underline" color="blue">#2581</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2598" text-decoration="underline" color="blue">#2598</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2599" text-decoration="underline" color="blue">#2599</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2643" text-decoration="underline" color="blue">#2643</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2671" text-decoration="underline" color="blue">#2671</fo:basic-link>,
	      and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2722" text-decoration="underline" color="blue">#2722</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e686"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Support for new Brocade, Citrix, Dell, Fortinet, HP-UX, Kyocera,
	      Liebert, Novell, and SNMP Informant data collections (Bugs <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2370" text-decoration="underline" color="blue">#2370</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2371" text-decoration="underline" color="blue">#2371</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2391" text-decoration="underline" color="blue">#2391</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2511" text-decoration="underline" color="blue">#2511</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2579" text-decoration="underline" color="blue">#2579</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2624" text-decoration="underline" color="blue">#2624</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2629" text-decoration="underline" color="blue">#2629</fo:basic-link>,
	      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2663" text-decoration="underline" color="blue">#2663</fo:basic-link>,
          <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2686" text-decoration="underline" color="blue">#2686</fo:basic-link>,
          and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2700" text-decoration="underline" color="blue">#2700</fo:basic-link>)</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block><fo:block id="opennms-1.5.94-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.13.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A rare but insidious bug in the poller that caused some outages to not
      be properly resolved was fixed.  (Bug
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2702" text-decoration="underline" color="blue">#2702</fo:basic-link>)
      </fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A large number of other bugs have been fixed since 1.5.93, in the process
      of preparing for 1.6.0.  A full list of bugs fixed in the release can be
      found in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?query_format=advanced&amp;target_milestone=1.5.94+%281.6+beta+5%29&amp;bug_status=VERIFIED&amp;cmdtype=doit" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A number of cross-site scripting (XSS) security issues have been fixed.  (Bugs
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2631" text-decoration="underline" color="blue">#2631</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2633" text-decoration="underline" color="blue">#2633</fo:basic-link>,
      and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2634" text-decoration="underline" color="blue">#2634</fo:basic-link>)
      </fo:block></fo:block><fo:block id="opennms-1.5.94-changes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.13.3. Changes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">In the plugins for capsd and the monitors for the service poller,
      the correct parameter to use for retries is "retry" however some used
      "retries". This has been corrected, but on upgrading one may want to
      change the configuration files if they have been customized. Those
      changed were:</fo:block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e711"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e712"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>service poller monitors:</fo:block><fo:list-block provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e714"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e715"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>SNMP Monitor</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block><fo:list-block provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e717"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e718"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>OMSA Storage Monitor</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block><fo:list-block provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e720"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e721"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>PERC Monitor</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block><fo:list-block provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e723"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e724"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>Disk Usage Monitor</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:list-item-body></fo:list-item></fo:list-block><fo:list-block space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em" provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e726"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e727"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>capsd plugins:</fo:block><fo:list-block provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e729"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e730"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>NTP Plugin</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block><fo:list-block provisional-label-separation="0.2em" provisional-distance-between-starts="1.0em" id="d471e732"><fo:list-item space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em" id="d471e733"><fo:list-item-label end-indent="label-end()"><fo:block>•</fo:block></fo:list-item-label><fo:list-item-body start-indent="body-start()"><fo:block><fo:block>DNS Plugin</fo:block></fo:block></fo:list-item-body></fo:list-item></fo:list-block></fo:block></fo:list-item-body></fo:list-item></fo:list-block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">The default RRD roll-up schedule for data collected using the
      NSClient Collector has been changed to match that used for some time by
      the SNMP Collector. When upgrading to release 1.5.94, users who rely on
      NSClient data collection and do not wish to lose any historical data must
      take care to preserve the existing roll-up schedule in the
      nsclient-datacollection-config.xml file. Users who are not concerned with
      keeping historical NSClient performance data can adopt the new roll-up
      schedule, but will need to delete all RRD files created while the old
      roll-up schedule was in effect. Failure to do so will result in new data
      not being stored.</fo:block></fo:block></fo:block><fo:block id="opennms-1.5.93"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.93</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.14. Changes in OpenNMS 1.5.93</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.93-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.14.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">This is a quick bugfix release, no new feature were added.</fo:block></fo:block><fo:block id="opennms-1.5.93-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.14.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">This release is intended primarily to solve an issue in SNMP4J
      which could cause performance issues from excessive logging in some
      situations. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2552" text-decoration="underline" color="blue">#2552</fo:basic-link>)</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">In addition, the installer was updated to not force a specific
      amount of memory when run, so it should work with large databases
      without the need to edit the upgrade script.</fo:block></fo:block></fo:block><fo:block id="opennms-1.5.92"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.92</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.15. Changes in OpenNMS 1.5.92</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.92-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.15.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Xmlrpcd has been improved to allow multicasting events as well as
      a few other changes. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1487" text-decoration="underline" color="blue">#1487</fo:basic-link>)</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Support for logging logins, failed login attempts, logouts, and
      session timeouts was added. (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=1580" text-decoration="underline" color="blue">#1580</fo:basic-link>)</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Support for new Juniper, Cisco, Sonus, and VMware traps (Bugs
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2368" text-decoration="underline" color="blue">#2368</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2487" text-decoration="underline" color="blue">#2487</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2500" text-decoration="underline" color="blue">#2500</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2502" text-decoration="underline" color="blue">#2502</fo:basic-link>,
      and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2540" text-decoration="underline" color="blue">#2540</fo:basic-link>)</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Support for new Asterisk, Juniper, Cisco, Windows, Mikrotik, and
      UCD data collections (Bugs <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2356" text-decoration="underline" color="blue">#2356</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2367" text-decoration="underline" color="blue">#2367</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2384" text-decoration="underline" color="blue">#2384</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2387" text-decoration="underline" color="blue">#2387</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2390" text-decoration="underline" color="blue">#2390</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2420" text-decoration="underline" color="blue">#2420</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2477" text-decoration="underline" color="blue">#2477</fo:basic-link>,
      <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2483" text-decoration="underline" color="blue">#2483</fo:basic-link>,
      and <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2529" text-decoration="underline" color="blue">#2529</fo:basic-link>)</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">There is a new parameter that can be used to extract asset
      information for use in events and notices. The parameter
      %asset[fieldname]% will look up the field in the assets table
      represented by "fieldname" for the nodeid in the event. For example:
      %asset[description]% will return the description field. If a field is
      empty or not available it will return "Unknown". (Bug <fo:basic-link external-destination="http://bugzilla.opennms.org/show_bug.cgi?id=2465" text-decoration="underline" color="blue">#2465</fo:basic-link>)</fo:block></fo:block><fo:block id="opennms-1.5.92-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.15.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A full list of bugs fixed in the release can be found in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?query_format=advanced&amp;target_milestone=1.5.92+%281.6+beta+3%29&amp;bug_status=VERIFIED&amp;cmdtype=doit" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block></fo:block></fo:block><fo:block id="opennms-1.5.91"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.91</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.16. Changes in OpenNMS 1.5.91</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.91-features"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">New Features</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.16.1. New Features</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">The scheduled outage web UI improvements that were partially
      implemented in 1.5.91 are finished. You can now create daily scheduled
      outages.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">OpenNMS XML configuration files will now be validated if xmllint
      is available at startup.</fo:block></fo:block><fo:block id="opennms-1.5.91-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.16.2. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A number of exceptions and other code errors have been
      fixed.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A few issues relating to thresholding and data collection have
      been resolved.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A full list of bugs fixed in the release can be found in <fo:basic-link external-destination="http://bugzilla.opennms.org/buglist.cgi?query_format=advanced&amp;target_milestone=1.5.91+%281.6+beta+2%29&amp;bug_status=VERIFIED&amp;cmdtype=doit" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.</fo:block></fo:block></fo:block><fo:block id="opennms-1.5.90"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Changes in OpenNMS 1.5.90</fo:marker><fo:block font-size="16.5pt" space-before.optimum="0.8em" space-before.minimum="0.8em" space-before.maximum="0.8em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.17. Changes in OpenNMS 1.5.90</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block id="opennms-1.5.90-bugfixes"><fo:block><fo:block><fo:block keep-together.within-column="always" margin-left="0pc" font-family="sans-serif,Symbol,ZapfDingbats"><fo:block keep-with-next.within-column="always"><fo:block font-family="sans-serif" font-weight="bold" keep-with-next.within-column="always" space-before.minimum="0.8em" space-before.optimum="1.0em" space-before.maximum="1.2em" text-align="left" start-indent="0pc"><fo:marker marker-class-name="section.head.marker">Bug Fixes</fo:marker><fo:block font-size="13.75pt" space-before.optimum="0.6em" space-before.minimum="0.6em" space-before.maximum="0.6em" space-after.optimum="0.1em" space-after.minimum="0.1em" space-after.maximum="0.1em">2.17.1. Bug Fixes</fo:block></fo:block></fo:block></fo:block></fo:block></fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">NSClient and HTTP collections used to need a "nsclient-collection"
      and "http-collection" parameter (respectively) in
      collectd-configuration.xml. This is now supported, but deprecated, and
      the name changed to "collection", as is the case for SNMP
      collection.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">Data collection from systems supporting the UCD-SNMP SYSSTAT MIB
      group now includes the raw counters for context and interrupts. The
      deprecated one-minute gauge versions of these metrics are still
      collected if the agent provides them, but their resource graphs are no
      longer in the default list.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">A full list of bugs fixed in the release can be found in <fo:basic-link external-destination="http://bugzilla.opennms.org/showdependencytree.cgi?id=2237&amp;hide_resolved=0" text-decoration="underline" color="blue">bugzilla</fo:basic-link>.
      There were over 70 of them.</fo:block><fo:block space-before.optimum="1em" space-before.minimum="0.8em" space-before.maximum="1.2em">In addition, a number of new event definitions were added. Note
      that the UEIs for Foundry Networks now all read "foundry" whereas before
      some read "foundry" and others read "FoundryNetworks". This will affect
